// JavaScript Document
//function loguear(usuario){
	//var xhttp = new XMLHttpRequest();
	//xhttp.onreadystatechange = function(){
	//	if(this.readysState == 4 && this.status == 200){
	//	}
	//	console.log(xhttp.responseText);
	//}
	//xhttp.open("get","usuario.php",true);
	//xhttp.send();
//}
function licencia(){
	url="nit="+VGnit//document.getElementById("nit").value;
	url+="&codemp="+VGempresa;
	
	console.log(url)
	var Rpage=VGRutaRiz+"controllers/licencias/"
	doAjax(Rpage,url,'resp_licencia','gets','0','Ccargar');
	}

function resp_licencia(ResTex) {
	console.log(ResTex);
	var oJsonDatos = JSON.parse(ResTex);
	if(oJsonDatos.Datos!="ERROR"){
    if(ResTex.length>1){
		JsonLicencia=ResTex;
		var oJsonDatos = JSON.parse(JsonLicencia);
        var NJsonItem=oJsonDatos.Datos.length;
		if(oJsonDatos.Datos.error=="ERROR404"){
			flink(404);
		}else{
		  localStorage.clear();
		  localStorage.setItem("NomEmpresa",oJsonDatos.Datos[0].nomempresa);
		  localStorage.setItem("NomComercial",oJsonDatos.Datos[0].nomcomercial);
		  localStorage.setItem("NitEmpresa",oJsonDatos.Datos[0].nit);
		  localStorage.setItem("DirEmpresa",oJsonDatos.Datos[0].dirempresa);
		  localStorage.setItem("Codempresa",oJsonDatos.Datos[0].fteodb);
		  localStorage.setItem("rol",document.getElementById("rol").value)
		  loguear();

		}
	}else{
	    }
	  
	  
	}else{
		document.getElementById("cNo1").value="Usuario o contraseña invalido";
	    }
	
}


function loguear() {
	cUsu=document.getElementById("usuario").value
	if(vGorigen=='BCWEB'){
		VGempresa="ALMACENBC";
		url="usuario=empleado";
		url+="&rol=empleado";	
		url+="&codemp=ALMACENBC";
		url+="&modulo="+ localStorage.getItem("modulo");
	}else{
		url="usuario="+cUsu;
		url+="&rol=''";		
		url+="&codemp="+VGempresa;
		url+="&modulo="+VGmodulo;
	}
		
	
	
	cUsu=cUsu.substr(0,1)
	if(cUsu>='a' && cUsu<='e'){cExt="ae"}
	if(cUsu>='f' && cUsu<='j'){cExt="fj"}
	if(cUsu>='k' && cUsu<='o'){cExt="ko"}
	if(cUsu>='p' && cUsu<='t'){cExt="pt"}
	if(cUsu>='u' && cUsu<='z'){cExt="uz"}
	url+="&extension="+cExt;
		
	console.log(url);
	var Rpage =VGRutaRiz+"controllers/usuarios/"
	doAjax(Rpage,url,'resp_cargarusuarios','gets','0','Ccargar');
}
function resp_cargarusuarios(ResTex) {
	console.log(ResTex);
	var oJsonDatos = JSON.parse(ResTex);
	if(oJsonDatos.Datos!="ERROR"){
		if(ResTex.length>=1){
			JsonUsuario=ResTex;
			var oJsonDatos = JSON.parse(JsonUsuario);
        	var NJsonItem=oJsonDatos.Datos.length;
			if(oJsonDatos.Datos.error=="ERROR404"){
				flink(404);
			}else{
				
		  		cPass=document.getElementById("clave").value.trim()
		  		if(cPass!=oJsonDatos.Datos[0].clave && vGorigen!='BCWEB'){
			  		localStorage.clear()
			  		document.getElementById("cNo1").value="Usuario o contraseña invalido";
		  		}else{
					
					localStorage.setItem("NomUsuario",oJsonDatos.Datos[0].nombre);
		 	 		localStorage.setItem("Usuario",oJsonDatos.Datos[0].usuario);
			 		localStorage.setItem("Ideusuario",oJsonDatos.Datos[0].nriper);
					
					if(vGorigen=='BCWEB'){
						localStorage.setItem("rol","empleado");
						localStorage.setItem("Codempresa",VGempresa);
					}else{
						localStorage.setItem("rol","");
						localStorage.setItem("Codempresa",oJsonDatos.Datos[0].dftemp);
						VGempresa=oJsonDatos.Datos[0].dftemp;
					}
					
					Detalle="<select>"
					JsonActividad=oJsonDatos.Datos[0].empresas;
					VarStruture = JsonActividad.replace(/(\r\n|\n|\r)/gm," ");
					var urlbosy="(" + VarStruture + ")";
					VarStruture = JSON.stringify(eval(urlbosy))
					localStorage.setItem("jempresas",VarStruture);
					location.href=VGRutaRiz+"views/mdi/principal.html"+"?codigo="+VGproyect;
					
					return
					var oJsonDatose = JSON.parse(VarStruture);
				
					console.log(oJsonDatose)
	        		var NJsonIt=oJsonDatose.Datos.length;
					//alert(NJsonIt);
					RowArray=0;//esto lo adicione nuevo
					for (RowArray=0;RowArray<NJsonIt; RowArray++){
						Detalle+='<option value="'+oJsonDatose.Datos[RowArray].code+'" >'+oJsonDatose.Datos[RowArray].name+'</option>'
					}
					Detalle+="</select>"
					//alert(Detalle);
					//document.getElementById("cnt_empresa").innerHTML=Detalle;
					//document.getElementById("cnt_empresa").style.display="block"


					//alert(ResTex)
			 		//alert(oJsonDatos.Datos[0].usuario)
			 		
		  	 		location.href=VGRutaRiz+"views/mdi/principal.html"+"?codigo="+VGproyect;
					
		  		}
			}
		}else{
			//alert("")
	    }
	}else{
		document.getElementById("cNo1").value="Usuario o contraseña invalido";
    }
	
}